#!/bin/bash
cd ${0%/*} || exit 1

mkdir work/wing_btm
cp -r ../Ex2/results/btm_bulk  work/wing_btm/
cp -r ../Ex2/results/top_shaft work/wing_btm/
cp -r ../Ex2/results/out       work/wing_btm/
cd work/wing_btm
cp -r btm_bulk master

mergeMeshes master top_shaft -overwrite 
stitchMesh -case master  -overwrite wall_minz_out wall_maxz_out

cp ../../dicts/topoSetDict master/system/
topoSet -case master 

cp ../../dicts/createBafflesDict master/system/
createBaffles -case master -overwrite

rm -r master/0
cp -r master ../../results/wing_btm_curve

mergeMeshes master out -overwrite 
stitchMesh -case master -overwrite wall_minx wall_maxx

cp ../../dicts/createPatchDict master/system/
createPatch -case master -overwrite

cp -r master ../../results/wing_btm
